package com.bonus.canteen.core.nutrition.common.dto;

import com.bonus.canteen.core.common.utils.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("慢性病查询入参")
public class HealthChronicDto extends PageDTO {
   @ApiModelProperty("慢性病名称")
   private String chronicName;

   public HealthChronicDto() {
   }

   public static HealthChronicDtoBuilder builder() {
      return new HealthChronicDtoBuilder();
   }

   public String getChronicName() {
      return this.chronicName;
   }

   public void setChronicName(final String chronicName) {
      this.chronicName = chronicName;
   }

   public String toString() {
      return "HealthChronicDto(chronicName=" + this.getChronicName() + ")";
   }

   public HealthChronicDto(final String chronicName) {
      this.chronicName = chronicName;
   }

   public static class HealthChronicDtoBuilder {
      private String chronicName;

      HealthChronicDtoBuilder() {
      }

      public HealthChronicDtoBuilder chronicName(final String chronicName) {
         this.chronicName = chronicName;
         return this;
      }

      public HealthChronicDto build() {
         return new HealthChronicDto(this.chronicName);
      }

      public String toString() {
         return "HealthChronicDto.HealthChronicDtoBuilder(chronicName=" + this.chronicName + ")";
      }
   }
}
